# Generated by Django 2.0.5 on 2022-01-06 13:34

import django.contrib.postgres.fields
import django.contrib.postgres.fields.jsonb
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0103_profile_default_landing_page'),
        ('document', '0058_connectwisepurchaseorderdata'),
    ]

    operations = [
        migrations.CreateModel(
            name='IngramPurchaseOrderData',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('ingram_order_number', models.CharField(max_length=100)),
                ('status', models.CharField(max_length=500)),
                ('shipping_address', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('vendor_part_number', models.CharField(max_length=100)),
                ('shipped_quantity', models.PositiveIntegerField()),
                ('eta', models.CharField(max_length=100)),
                ('tracking_numbers', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
                ('serial_numbers', django.contrib.postgres.fields.ArrayField(base_field=models.CharField(max_length=100), size=None)),
                ('carrier_name', models.CharField(max_length=200)),
                ('shipped_date', models.CharField(max_length=100)),
                ('additional_data', django.contrib.postgres.fields.jsonb.JSONField(default={})),
                ('po_number', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='document.ConnectwisePurchaseOrder')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.Provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
